GroovyPrintWriter (Groovy 5.0.8)

Package: groovy.io

## [Java] Class GroovyPrintWriter

- groovy.io.GroovyPrintWriter

-     public class GroovyPrintWriter
      extends PrintWriter

  A PrintWriter that outputs objects in Groovy style. That means print(Object) uses InvokerHelper.toString(Object) to produce the same results as Writer.print(Object).

  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPrintWriter(File file)`
    `GroovyPrintWriter(File file, String csn)`
    `GroovyPrintWriter(Writer out)`
    `GroovyPrintWriter(Writer out, boolean autoflush)`
    `GroovyPrintWriter(OutputStream out)`
    `GroovyPrintWriter(OutputStream out, boolean autoflush)`
    `GroovyPrintWriter(String filename)`
    `GroovyPrintWriter(String filename, String csn)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `print(Object x)`
    `` | `public void` | `println(Object x)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PrintWriter` | `append, append, append, append, append, append, append, append, append, checkError, close, equals, flush, format, format, getClass, hashCode, notify, notifyAll, nullWriter, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, toString, wait, wait, wait, write, write, write, write, write`

- - ### Constructor Detail

    - #### public GroovyPrintWriter(File file)

    - #### public GroovyPrintWriter(File file, String csn)

    - #### public GroovyPrintWriter(Writer out)

    - #### public GroovyPrintWriter(Writer out, boolean autoflush)

    - #### public GroovyPrintWriter(OutputStream out)

    - #### public GroovyPrintWriter(OutputStream out, boolean autoflush)

    - #### public GroovyPrintWriter(String filename)

    - #### public GroovyPrintWriter(String filename, String csn)

  - ### Method Detail

    - #### @Override
      public void print(Object x)

    - #### @Override
      public void println(Object x)